Bug 1572150 - Segmentation fault in infinite recursion test on CentOS 6
Summary: Segmentation fault in infinite recursion test on CentOS 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Software Collections
Classification: Red Hat
Component: python
Version: rh-python36
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: alpha
: 3.1
Assignee: Python Maintainers
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 09:38 UTC by Jan Staněk
Modified: 2018-07-19 14:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-19 14:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Staněk 2018-04-26 09:38:16 UTC
Description of problem:
When rebuilding the package for CentOS, the test suite crashes due to segmentation fault in infinite recursion test.

Version-Release number of selected component (if applicable):
rh-python36-python-3.6.3-3.el6

How reproducible:
Rebuild the source package in CBS, in target sclo6-rh-python36-rh-el6

Actual results:
The build fails due to test suite crash.

Expected results:
The build passes.

Additional info:
- The failed build with logs: https://cbs.centos.org/koji/taskinfo?taskID=399798
- The issue seems to not manifest on RHEL.
- Rebuild of previous release (rh-python36-python-3.6.3-1.el6, https://cbs.centos.org/koji/buildinfo?buildID=20502) was completed successfully.

Comment 2 Charalampos Stratakis 2018-04-26 10:44:34 UTC
Seems related to https://bugs.python.org/issue27277

Will try to do some tests with increasing the stack size.

Comment 3 Charalampos Stratakis 2018-04-26 10:57:45 UTC
Tried in mock but the issue does not reproduce there, and I don't have any experience with the CentOS build system. Could you refer me to some guidelines on how to do a scratch build there?

Also check this as well: bug 1292462

Comment 4 Jan Staněk 2018-04-26 11:12:12 UTC
(In reply to Charalampos Stratakis from comment #3)
> Tried in mock but the issue does not reproduce there, and I don't have any
> experience with the CentOS build system. Could you refer me to some
> guidelines on how to do a scratch build there?

CBS guide: https://wiki.centos.org/HowTos/CommunityBuildSystem

However, this requires joining a SIG. Although I would certainly be grateful if you joined us, let me try it first with the `ulimit` workaround :)

Comment 5 Charalampos Stratakis 2018-04-26 11:20:13 UTC
(In reply to Jan Staněk from comment #4)
> (In reply to Charalampos Stratakis from comment #3)
> > Tried in mock but the issue does not reproduce there, and I don't have any
> > experience with the CentOS build system. Could you refer me to some
> > guidelines on how to do a scratch build there?
> 
> CBS guide: https://wiki.centos.org/HowTos/CommunityBuildSystem
> 
> However, this requires joining a SIG. Although I would certainly be grateful
> if you joined us, let me try it first with the `ulimit` workaround :)

Relevant line from the python3 fedora SPEC [0] (obviously we don't need it only for ppc here).

[0] https://src.fedoraproject.org/rpms/python3/blob/f26/f/python3.spec#_1132

Comment 6 Jan Staněk 2018-04-26 12:46:04 UTC
The `ulimit` workaround seems to work: https://cbs.centos.org/koji/taskinfo?taskID=400793

Comment 7 Petr Viktorin 2018-06-07 14:46:29 UTC
Can this issue be closed?

Comment 8 Jan Staněk 2018-06-12 12:21:26 UTC
The package was successfully built and passed testing, so it seems to work. The issue can be closed.


Note You need to log in before you can comment on or make changes to this bug.